Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSWaitForFrame2

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSActionObject
              com.flagstone.transform.FSWaitForFrame2

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSWaitForFrame2

extends FSActionObject

The FSWaitForFrame2 action instructs the player to wait until the specified frame number or named frame has been loaded.

If the frame has been loaded then the following n actions are executed. The FSWaitForFrame2 action extends the FSWaitForFrame action by allowing the name of a frame to be specified.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
actionCount | The number of actions following that will be executed when the frame of interest has been loaded.

FSWaitForFrame2 is a stack-based action. The frame number or frame name which should be loaded to trigger execution of the following actions is popped from the Flash Player's stack.

# Examples

The following example instructs the Flash Player to wait until the frame with the name "frame" in a movie clip has been loaded:

     actions.add(new FSPush("frame"));
     actions.add(new FSWaitForFrame2(1));
     actions.add(new FSGotoFrame2("frame"));

This method of waiting until a frame has been loaded is considered obsolete. Determining the number of frames loaded using the FramesLoaded property of the Flash player in combination with an FSIf action is now the preferred mechanism:

     FSDoAction actions = new FSDoAction();

     actions.add(new FSPush("_root"));
     actions.add(FSAction.GetVariable());
     actions.add(new FSPush(FSPush.FramesLoaded));
     actions.add(FSAction.GetProperty());
     actions.add(new FSPush(8));
     actions.add(FSAction.Less());
     actions.add(new FSIf(-29));

     actions.add(new FSGotoFrame(8));

# History

The FSWaitForFrame2 class represents the ActionWaitForFrame2 action of the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 4.

Field Summary

Fields inherited from class com.flagstone.transform.FSActionObject
`Call, ExceptionHandler, GetUrl, GetUrl2, GotoFrame, GotoFrame2, GotoLabel, If, Jump, length, NewFunction, NewFunction2, Push, RegisterCopy, SetTarget, Table, type, WaitForFrame, WaitForFrame2, With`

Constructor Summary
`FSWaitForFrame2(FSCoder coder)` Construct an FSWaitForFrame2 object, initialising it with values decoded from an encoded object.
`FSWaitForFrame2(FSWaitForFrame2 obj)` Constructs an FSWaitForFrame2 object by copying values from an existing object.
`FSWaitForFrame2(int aNumber)` Constructs an FSWaitForFrame2 object with the number of actions to execute if the frame has been loaded.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getActionCount()` Gets the number of actions to execute.
`int` | `length(FSCoder coder)`
`void` | `setActionCount(int aNumber)` Sets the number of actions to execute.

Methods inherited from class com.flagstone.transform.FSActionObject
`getType, length`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSWaitForFrame2

    public FSWaitForFrame2(FSCoder coder)

  Construct an FSWaitForFrame2 object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSWaitForFrame2

    public FSWaitForFrame2(int aNumber)

  Constructs an FSWaitForFrame2 object with the number of actions to execute if the frame has been loaded.

  Parameters:
    `aNumber` - the number of actions to execute.

### FSWaitForFrame2

    public FSWaitForFrame2(FSWaitForFrame2 obj)

  Constructs an FSWaitForFrame2 object by copying values from an existing object.

  Parameters:
    `obj` - an FSWaitForFrame2 object.

Method Detail

### getActionCount

    public int getActionCount()

  Gets the number of actions to execute.

  Returns:
    the number of actions to execute.

### setActionCount

    public void setActionCount(int aNumber)

  Sets the number of actions to execute.

  Parameters:
    `aNumber` - the number of actions to execute.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSActionObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSActionObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSActionObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSActionObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSActionObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD